# List Access Sets

## GET /{app\_short}/list/accessset

> List all access sets

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"ListAccessSetSummary":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"users":{"type":"array","items":{"type":"string"}},"groups":{"type":"array","items":{}},"root_id":{"type":"integer"},"lists":{"type":"array","items":{"type":"integer"}}}}}},"paths":{"/{app_short}/list/accessset":{"get":{"summary":"List all access sets","tags":["list-access"],"operationId":"listAccessSets","parameters":[{"$ref":"#/components/parameters/AppShort"}],"responses":{"200":{"description":"All access sets","content":{"application/json":{"schema":{"type":"object","properties":{"listaccesssets":{"type":"array","items":{"$ref":"#/components/schemas/ListAccessSetSummary"}},"total_count":{"type":"integer"},"total_pages":{"type":"integer"},"server_time":{"type":"integer","format":"int64"}}}}}}}}}}}
```

## POST /{app\_short}/list/{root\_id}/accessset

> Create an access set

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/list/{root_id}/accessset":{"post":{"summary":"Create an access set","tags":["list-access"],"operationId":"createAccessSet","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"root_id","in":"path","required":true,"description":"Root list node identifier","schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["name"],"properties":{"name":{"type":"string"},"groups":{"type":"array","items":{"type":"integer"}},"users":{"type":"array","items":{"type":"integer"}},"lists":{"type":"array","items":{"type":"integer"}}}}}}},"responses":{"200":{"description":"Access set created","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid"}}}}}}}}}}}
```

## GET /{app\_short}/list/{list\_id}/accessset/user/{user\_id}

> Get access sets for a list and user

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/list/{list_id}/accessset/user/{user_id}":{"get":{"summary":"Get access sets for a list and user","tags":["list-access"],"operationId":"getAccessSetsForUser","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"list_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Access set UUIDs for this user and list","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}}}}}}}
```

## GET /{app\_short}/list/{list\_id}/accessset/{list\_access\_set\_id}

> Get access set details

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"ListAccessSetDetail":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"users":{"type":"array","items":{"$ref":"#/components/schemas/UserRef"}},"groups":{"type":"array","items":{}},"root_id":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"level":{"type":"integer"},"position":{"type":"integer"},"has_image":{"type":"boolean"}}},"lists":{"type":"array","items":{"$ref":"#/components/schemas/ListItem"}}}},"UserRef":{"type":"object","properties":{"id":{"type":"integer"},"email":{"type":"string","format":"email"},"first_name":{"type":"string"},"last_name":{"type":"string"},"groups":{"type":"array","items":{}},"system_groups":{"type":"array","items":{}}}},"ListItem":{"type":"object","properties":{"id":{"type":"integer"},"root_id":{"type":"integer"},"parent_id":{"type":"integer"},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"},"deleted_at":{"type":"integer","format":"int64","nullable":true},"name":{"type":"string"},"has_image":{"type":"boolean"},"level":{"type":"integer","description":"Depth — 0 is the root node"},"position":{"type":"integer"},"external_id":{"type":"string"},"url":{"type":"string"},"functionnal_status_color":{"type":"string"}}}}},"paths":{"/{app_short}/list/{list_id}/accessset/{list_access_set_id}":{"get":{"summary":"Get access set details","tags":["list-access"],"operationId":"getAccessSet","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"list_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"list_access_set_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Access set full details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListAccessSetDetail"}}}}}}}}}
```

## DELETE /{app\_short}/list/{list\_id}/accessset/{list\_access\_set\_id}

> Delete an access set

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/list/{list_id}/accessset/{list_access_set_id}":{"delete":{"summary":"Delete an access set","tags":["list-access"],"operationId":"deleteAccessSet","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"list_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"list_access_set_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Access set deleted"}}}}}}
```

## Generate access set dependencies

> Immediately recalculates internal access set dependencies.\
> Runs automatically every 5 minutes; call manually after batch changes.<br>

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/list/{list_id}/accessset/{list_access_set_id}/generate":{"post":{"summary":"Generate access set dependencies","description":"Immediately recalculates internal access set dependencies.\nRuns automatically every 5 minutes; call manually after batch changes.\n","tags":["list-access"],"operationId":"generateAccessSetDependencies","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"list_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"list_access_set_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Dependencies regenerated"}}}}}}
```

## Get access set entity list (users / groups / lists)

> Use \`users\`, \`groups\`, or \`lists\` as the \`entity\` path value.

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/list/{list_id}/accessset/{list_access_set_id}/{entity}":{"get":{"summary":"Get access set entity list (users / groups / lists)","description":"Use `users`, `groups`, or `lists` as the `entity` path value.","tags":["list-access"],"operationId":"getAccessSetEntity","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"list_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"list_access_set_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"entity","in":"path","required":true,"schema":{"type":"string","enum":["users","groups","lists"]}}],"responses":{"200":{"description":"Array of the requested entity type","content":{"application/json":{"schema":{"type":"array","items":{}}}}}}}}}}
```

## Add an entity to an access set

> Adds a user, group, or list item to the access set.

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/list/{list_id}/accessset/{list_access_set_id}/{entity}/{entity_id}":{"put":{"summary":"Add an entity to an access set","description":"Adds a user, group, or list item to the access set.","tags":["list-access"],"operationId":"addAccessSetEntity","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"list_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"list_access_set_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"entity","in":"path","required":true,"schema":{"type":"string","enum":["users","groups","lists"]}},{"name":"entity_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Entity added"}}}}}}
```

## Remove an entity from an access set

> Removes a user, group, or list item from the access set.

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"list-access"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/list/{list_id}/accessset/{list_access_set_id}/{entity}/{entity_id}":{"delete":{"summary":"Remove an entity from an access set","description":"Removes a user, group, or list item from the access set.","tags":["list-access"],"operationId":"deleteAccessSetEntity","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"list_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"list_access_set_id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"entity","in":"path","required":true,"schema":{"type":"string","enum":["users","groups","lists"]}},{"name":"entity_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"Entity removed"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://www.center.daxium-air.com/api-reference/lists/list-access-sets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
